<h1 align="center">Github Browser</h1>

<p align="center">
Pick any of your favorite github repository and create a mini android app showing its details on an android app.
</p>


## Screens navigation graph

![summary](docs/navigation_graph.png)

## Tech stack & Open-source libraries

### Language

- [Kotlin](https://kotlinlang.org)
- [Coroutines](https://kotlinlang.org/docs/coroutines-overview.html)

### Applications
- [Android Studio](https://developer.android.com/studio)
- [Insomnia](https://insomnia.rest/) - used for apis instead of Postman

### Android Software Development Kit

- Target level 31
- Minimum level 23

### Jetpack Libraries

- [Recyclerview](https://developer.android.com/jetpack/androidx/releases/recyclerview) - for creating
  dynamic lists
- [Room Persistence](https://developer.android.com/jetpack/androidx/releases/room) - an abstraction
  layer over SQLite
- [Navigation](https://developer.android.com/jetpack/androidx/releases/navigation) - a framework for
  navigating between 'destinations'
- [Lifecycle](https://developer.android.com/jetpack/androidx/releases/lifecycle) - lifecycle-aware
  components
- [ViewModel](https://developer.android.com/topic/libraries/architecture/viewmodel) -  is designed to store
  and manage UI-related data in a lifecycle conscious way.
- [LiveData](https://developer.android.com/topic/libraries/architecture/livedata) - an observable data holder class.
- [ViewBinding](https://developer.android.com/topic/libraries/view-binding)

### Open-source Libraries

- [Dagger Hilt](https://dagger.dev/hilt/) - a dependency injection library for Android
- [Retrofit](https://square.github.io/retrofit/) - a type-safe HTTP client for Android and Java
- [Glide](https://github.com/bumptech/glide) - a fast and efficient open source media management and
  image loading framework for Android
- [CircleImageView](https://github.com/hdodenhof/CircleImageView) - a fast circular ImageView perfect for profile images.

### Test Libraries

- [JUnit](https://junit.org/junit4/) - a simple framework to write repeatable tests
- [Espresso](https://developer.android.com/training/testing/espresso) - Android UI tests
- [MockK](https://mockk.io) - a mocking library for Kotlin


## How to run the application in your studio?

- Open the project in latest android studio.
- Wait for gradle build process.
- Once build connect your phone/ or AVD device.
- Run the application.

## Contact

Prasoon Kumar - [LinkedIn](https://linkedin.com/in/prasoon0) - [Email](mailto:prasoonk187@gmail.com) - [Facebook](https://www.facebook.com/prasoon0)